#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
bool is_subseq(string s, CRP(string, t))
{
    int lastPos = 0;
    for (auto ch : t)
    {
        lastPos = s.find(ch, lastPos);
        if (lastPos == string::npos) return false;
        lastPos++;
    }
    return true;
}
int main()
{
    int ans = 0;
    string s, t;
    cin >> s >> t;
    for (int i = 0; i <= s.size(); i++)
        for (int j = i + ans; j <= s.size(); j++)
            if (is_subseq(s.substr(0, i) + s.substr(j), t))
                ans = max(ans, j - i);
    cout << ans;
    return 0;
}